# OpenLayers.Layer.MapServer

Instances of OpenLayers.Layer.MapServer are used to display data from a MapServer CGI instance.

#### Inherits from

- OpenLayers.Layer.Grid

Summary

OpenLayers.Layer.MapServer | Instances of OpenLayers.Layer.MapServer are used to display data from a MapServer CGI instance.
Constants |
DEFAULT_PARAMS | {Object} Hashtable of default parameter key/value pairs
Constructor |
OpenLayers.Layer.MapServer | Create a new MapServer layer object

### Constants

### DEFAULT_PARAMS

{Object} Hashtable of default parameter key/value pairs

### Constructor

### OpenLayers.Layer.MapServer

Create a new MapServer layer object

#### Parameters

name | {String} A name for the layer
url | {String} Base url for the MapServer CGI (e.g. http://www2.dmsolutions.ca/cgi-bin/mapserv)
params | {Object} An object with key/value pairs representing the GetMap query string parameters and parameter values.
options | {Object} Hashtable of extra options to tag onto the layer

Close